/**
 * RoleClassAssignedEntity.java
 *
 * File generated from the medication::RoleClassAssignedEntity uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassAssignedEntity.
 *
 * 
 */

@XmlType(name = "RoleClassAssignedEntity")
@XmlEnum
@XmlRootElement(name = "RoleClassAssignedEntity")
public enum RoleClassAssignedEntity {
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("COMPAR")
	COMPAR("COMPAR"),
	@XmlEnumValue("SGNOFF")
	SGNOFF("SGNOFF"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("ECON")
	ECON("ECON"),
	@XmlEnumValue("NOK")
	NOK("NOK");
	
	private final String value;

    RoleClassAssignedEntity(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassAssignedEntity fromValue(String v) {
        for (RoleClassAssignedEntity c: RoleClassAssignedEntity.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}